Ioncube and Xampp

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Ioncube and Xampp

Postby snuiverink » 28. July 2005 18:11

Hi

I have installed litecommerce in the directory.
Im running op php4.3.

C:\apachefriends\xampp\htdocs\litecommerce\


I have changed the php.ini file
PHP Version 4.3.11
Operating System Windows
Threaded PHP Yes
php.ini file C:\apachefriends\xampp\apache\bin\php.ini
Required Loader ioncube_loader_win_4.3.dll


In the php.ini file i have added
[Zend]
;zend_extension_ts="c:\apachefriends\xampp\htdocs\litecommerce\ioncube\ioncube_loader_win_4.3.dll";zend_optimizer.enable_loader = 0
;zend_optimizer.optimization_level=1023
;zend_extension="c:\apachefriends\xampp\php\zendOptimizer\lib\Optimizer\php-4.3.x\ZendOptimizer.dll"
;zend_extension_ts="c:\apachefriends\xampp\php\zendOptimizer\lib\ZendExtensionManager.dll"
;zend_extension_manager.optimizer_ts="c:\apachefriends\xampp\php\zendOptimizer\lib\Optimizer"
;zend_optimizer.license_path="c:\apachefriends\xampp\licenses\zendOptimizer\license.txt"


Safe mode is off, and enable_dl is on. When i try to install the loaders i get the message
Warning: dl(): Not supported in multithreaded Web servers - use extension statements in your php.ini in C:\apachefriends\xampp\htdocs\litecommerce\loader.php on line 62
This software is protected by ionCube PHP Encoder. System failed to install appropriate ionCube PHP Loader for your system.


The loader.php file is installed in


Anyone any ideas what i might be doing wrong.

Das ganze macht mir verruckt. Heute is es denn dritte Tag das ich versuche das alles zu installieren aber es hat bis her noch nie mals geklapt. Wenn ir mir helfen konnen/mochte wurde das super sein. Danke. :lol:
snuiverink
 
Posts: 5
Joined: 28. July 2005 10:04

Postby Wiedmann » 28. July 2005 18:30

;zend_extension_ts="c:\apachefriends\xampp\htdocs\litecommerce\ioncube\ioncube_loader_win_4.3.dll";zend_optimizer.enable_loader = 0

In the ini-files, a line with a ";" is a comment and will not parsed.

I think this should be:
Code: Select all
zend_extension_ts="c:\apachefriends\xampp\htdocs\litecommerce\ioncube\ioncube_loader_win_4.3.dll"
;zend_optimizer.enable_loader = 0
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby snuiverink » 28. July 2005 18:55

Danke fur dein schnelles antwort. I just made the changes and i have noticed that it is running now. So that's fixed. I produced a error
AppName: apache.exe AppVer: 2.0.53.0 ModName: ioncube_loader_win_4.3.dll
ModVer: 0.0.0.0 Offset: 00002dfe



I was wondering whether this has anything to do with xampp or with the files i try to install. ;)
snuiverink
 
Posts: 5
Joined: 28. July 2005 10:04


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 31 guests